import { IUIProviderProps as ICoreUIContextProviderProps } from "@reactionable/core/lib/ui/UI";
import { PropsWithChildren, ReactElement } from "react";
import { IUseErrorAlertProps } from "./alert/ErrorAlert";
import { IUseWarningAlertProps } from "./alert/WarningAlert";
import { IUseConfirmationProps } from "./confirmation/Confirmation";
import { IUseLayoutProps } from "./layout/Layout";
import { IUseLoaderProps } from "./loader/Loader";
import { IUseModalProps } from "./modal/Modal";
import { IUseErrorNotificationProps } from "./notification/ErrorNotification";
import { IUseSuccessNotificationProps } from "./notification/SuccessNotification";
export declare type IUIProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseModalProps>;
export declare function useUIProviderProps(props?: Partial<IUIProviderProps>): IUIProviderProps;
export declare const UIContextProvider: (props?: PropsWithChildren<Partial<IUIProviderProps>> | undefined) => ReactElement;
export declare function useUIContext(): IUIProviderProps;
