"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenderFormField = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const RenderFormField_1 = require("@reactionable/core/lib/form/RenderFormField");
const FormCheck_1 = tslib_1.__importDefault(require("react-bootstrap/FormCheck"));
const FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
const FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
const FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
const FormErrorMessage_1 = require("./FormErrorMessage");
function RenderFormField(_a) {
    var { isValid, isInvalid } = _a, _b = _a.field, { label } = _b, field = tslib_1.__rest(_b, ["label"]);
    let input;
    const fieldProps = Object.assign(Object.assign({}, field), { isValid,
        isInvalid });
    const labelContent = (0, RenderFormField_1.getFormFieldLabelContent)(label, field.required);
    if (field.type === "checkbox") {
        input = (0, jsx_runtime_1.jsx)(FormCheck_1.default, Object.assign({}, fieldProps, { label: labelContent }));
    }
    else {
        input = (0, jsx_runtime_1.jsx)(FormControl_1.default, Object.assign({}, fieldProps));
        if (labelContent) {
            input = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(FormLabel_1.default, { children: labelContent }), input] }));
        }
    }
    const fieldContent = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [input, (0, jsx_runtime_1.jsx)(FormErrorMessage_1.FormErrorMessage, { name: fieldProps.name })] }));
    if (field.type === "hidden") {
        return fieldContent;
    }
    return (0, jsx_runtime_1.jsx)(FormGroup_1.default, Object.assign({ controlId: field.name }, { children: fieldContent }));
}
exports.RenderFormField = RenderFormField;
//# sourceMappingURL=RenderFormField.js.map